/*
 * Schmid ADC Linux Kernel Modul
 * Copyright (C) 2006  Hanno Rein - University of Tübingen
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * */


#define ADC_START          1
#define ADC_STOP           2
#define ADC_DISK_ON        3
#define ADC_DISK_OFF       4
#define ADC_SETV_DISK_LOW  5
#define ADC_SETV_DISK_HIGH 6
#define ADC_SETV_RESET     7
#define ADC_SETV_ZERO      8
#define ADC_ALLRESET       9
#define ADC_FIFORESET     10
#define ADC_ROUTE_ON      11
#define ADC_ROUTE_OFF     12
#define ADC_GATE_ON       13
#define ADC_GATE_OFF      14
#define ADC_TIMER_SET     15
#define ADC_TIMER_STATUS  16
#define ADC_DEAD_TIME1	  17
#define ADC_DEAD_TIME2	  18



void allreset( void  );
void irqdisab( void  );
void irqhalf( void );
void irqfull( void );
void run( void );
void disk( void );
void extgate( void );
void fiforeset(void);
void stop( void );
void disk_off( void);
void extgate_off( void );
void route( void );
void route_off( void );
void allres_release( void );
void dac(int nr, int daten, int akt);
void adc_setbase (int base);
int readnum(void );
void dac(int nr, int daten, int akt);
int adc(void );
int status(void );


     
